<div class="container-fluid">
  <div class="col-md-12">
    <div class="box">
      <div class="box-header with-border">
        <h3 class="box-title">Payment Requests</h3>
        <hr>
        <div class="row">
          <div class="col-sm-2">
            <div class="form-group">
              <label>Status</label>
              <select id="type"
                      class="form-control"
                      [(ngModel)]="paymentStatus"
                      (ngModelChange)="searchDetail()"
                      name="requestedFor">
                <option *ngFor="let event of (allPaymentStatus); let i = index"
                        [ngValue]="(allPaymentStatus)[i]"
                >{{(allPaymentStatus)[i]}}</option>
              </select>
            </div>
          </div>
          <div class="col-sm-3">
            <div class="form-group">
              <label>From Date </label><br>
              <p-calendar name="date"
                          [minDate]="minFromDate"
                          [showIcon]="false"
                          [(ngModel)]="fromDate"
              >
              </p-calendar>
            </div>
          </div>
          <div class="col-sm-3">
            <div class="form-group">
              <label>To Date </label><br>
              <p-calendar name="date"
                          [minDate]="minToDate"
                          [showIcon]="false"
                          [(ngModel)]="toDate"
                          [style]="{ width: 30}">
              </p-calendar>
            </div>
          </div>
          <div class="col-sm-2">
            <div class="form-group">
              <label for="requestedUser">Verified By</label>
              <select id="requestedUser"
                      class="form-control"
                      name="requestedUser"
                      [(ngModel)]="verifiedBy"
                      required>
                <option *ngFor="let event of (allUsersVerifier); let i = index"
                        [ngValue]="(allUsersVerifier)[i].userId"
                >{{(allUsersVerifier)[i].fullName + ' ( ' + (allUsersVerifier)[i].employeeId + ' )'}}</option>
              </select>
            </div>
          </div>
          <div class="col-sm-2">
            <div class="form-group">
              <label for="paymentBy">Payment By</label>
              <select id="paymentBy"
                      class="form-control"
                      name="paymentBy"
                      [(ngModel)]="paymentBy"
                      required>
                <option *ngFor="let event of (allUsersVerifier); let i = index"
                        [ngValue]="(allUsersVerifier)[i].userId"
                >{{(allUsersVerifier)[i].fullName + ' ( ' + (allUsersVerifier)[i].employeeId + ' )'}}</option>
              </select>
            </div>
          </div>
          <div class="col-sm-3">
            <div class="form-group">
              <label>Memo Code</label>
              <input type="text"
                     id="memoCode"
                     name="memoCode"
                     class="form-control"
                     pInputText placeholder="Search Memo Code"
                     [(ngModel)]="refCode">
            </div>
          </div>
          <div class="col-sm-3">
            <div class="form-group" style="margin-top: 28px;">
              <label></label>
              <button type="button"
                      label="Search"
                      class="btn btn-success"
                      (click)="searchDetail()">
                <i class="pi pi-filter" style="font-size: 1rem"></i>
                Search
              </button>
            </div>
          </div>
        </div>
      </div>
      <!-- /.box-header -->
      <div class="box-body">
        <p-table id="exportTable" class="text-center"
                 [columns]="columnName"
                 [value]="(data$)"
                 [(selection)]="selectedItems"
                 pageLinkSize="3"
                 [resizableColumns]="true"
                 [autoLayout]="true">

          <ng-template pTemplate="caption">
            List of Bill Payment Requests
            :&nbsp;{{ totalRecords }}
          </ng-template>
          <ng-template pTemplate="header" let-columns>
            <tr>
              <th *ngFor="let col of columns" [pSortableColumn]="col.value">
                {{col.name}}
                <p-sortIcon [field]="col.value"></p-sortIcon>
              </th>
            </tr>
          </ng-template>

          <ng-template pTemplate="body" let-list let-i="rowIndex">
            <tr [ngStyle]="{'background-color':i%2 === 0 ? '#fafafa' : '#e9ecef'}">
              <td>{{i + 1 + page * itemsPerPage }}</td>
              <td>{{list.billPaymentCode}}</td>
              <td>{{list.billPaymentRequestedBranch}}</td>
              <td>{{list.subject}}</td>
              <td>{{list.memoDate | date:'MMM d, y, h:mm:ss a'}}</td>
              <td>{{list.billAmount | currency: 'NPR'}}</td>
              <td>{{list.requestedBy}}</td>
              <td>{{list.pushedBy}}</td>
              <td>{{list.paymentStatus}}</td>
              <td>
                <button class="btn btn-xs btn-info"
                        [routerLink]="['/approved-bills',
                        list.expenditureDetailId,
                        'payment',
                        list.paymentStatus]">
                  <i class="pi pi-eye" style="font-size: 1rem"></i>
                </button>
                <button class="btn btn-info btn-xs"
                        *ngIf="list.paymentMode === 'PERIODIC' && list.paymentStatus !== 'PAID'"
                        (click)="downloadFile(list.expenditurePaymentId,
                        list.billPaymentCode)">
                  <i class="pi pi-download" style="font-size: 1rem"></i>
                </button>
                <button class="btn btn-info btn-xs"
                        *ngIf="list.paymentMode === 'PERIODIC' && list.paymentStatus !== 'PAID'"
                        (click)="makePayment(list.expenditurePaymentId)">
                  <i class="pi pi-check" style="font-size: 1rem"></i>
                </button>
              </td>
            </tr>
          </ng-template>

        </p-table>
        <p-paginator
          [rows]="itemsPerPage"
          [totalRecords]="totalRecords"
          pageLinkSize="3"
          [rowsPerPageOptions]="rowsPerPageOptions"
          (onPageChange)="paginate($event)">
        </p-paginator>
      </div>
    </div>
  </div>
</div>



<p-dialog [(visible)]="display"
          [modal]="true"
          [responsive]="true"
          [maximizable]="true"
          [baseZIndex]="100000"
          [style]="{width: '490px', height: '490px'}">
  <p-header>
   Add Payment Detail
  </p-header>
  <form [formGroup]="addPaymentDetailForm">
    <div class="form-group">
      <label for="txnDateString">Txn Date<span class="required">*</span></label>
<!--      <p-calendar formControlName="txnDate"-->
<!--                  id="txnDate"-->
<!--                  [ngClass]="{ 'is-invalid': submitted && f.txnDate.errors }"-->
<!--                  showTime="true"-->
<!--                  hourFormat="24"></p-calendar>-->
      <input type="datetime-local"
             class="form-control"
             id="txnDateString"
             formControlName="txnDateString"
             [ngClass]="{ 'is-invalid': submitted && f.txnDateString.errors }"
             placeholder="Enter Date "
             required
      >
      <div *ngIf="submitted && f.txnDateString.errors" class="invalid-feedback">
        <div *ngIf="f.txnDateString.errors.required">Date is Required.</div>
      </div>
    </div>

    <div class="form-group">
      <label for="txnId">Txn Id<span class="required">*</span></label>
      <input type="text"
             class="form-control"
             id="txnId"
             formControlName="txnId"
             [ngClass]="{ 'is-invalid': submitted && f.txnId.errors }"
             placeholder="Enter Txn Date"
             required
      >
      <div *ngIf="submitted && f.txnId.errors" class="invalid-feedback">
        <div *ngIf="f.txnId.errors.required">Txn Id Required.</div>
      </div>
    </div>

    <div class="form-group">
      <label for="remarks">Remarks<span class="required">*</span></label>
      <input type="text"
             class="form-control"
             id="remarks"
             formControlName="remarks"
             [ngClass]="{ 'is-invalid': submitted && f.remarks.errors }"
             placeholder="Remarks"
             required
      >
      <div *ngIf="submitted && f.remarks.errors" class="invalid-feedback">
        <div *ngIf="f.remarks.errors.required">Remarks is Required.</div>
      </div>
    </div>


    <p-footer>
      <div class="row">
        <div class="col-sm-6">
          <button class="btn btn-danger btn-block"
                  (click)="cancel()">
            Cancel
          </button>
        </div>
        <div class="col-sm-6">
          <button class="btn btn-success btn-block"
                  [disabled]="loading"
                  (click)="confirm()"
                  type="submit">
            <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
            Confirm
          </button>
        </div>
      </div>
    </p-footer>
  </form>
</p-dialog>
